PrivateEndpointConnectionsOperations Class

Warning

DO NOT instantiate this class directly.

Instead, you should access the following operations through

AzureMediaServices's

<xref:private_endpoint_connections> attribute.

Inheritance
builtins.object
PrivateEndpointConnectionsOperations

Constructor

PrivateEndpointConnectionsOperations(*args, **kwargs)

Methods

create_or_update

Update a private endpoint connection.

Update an existing private endpoint connection.

delete

Delete a private endpoint connection.

Deletes a private endpoint connection.

get

Get private endpoint connection.

Get the details of a private endpoint connection.

list

List private endpoint connections.

List all private endpoint connections.

create_or_update

Update a private endpoint connection.

Update an existing private endpoint connection.

async create_or_update(resource_group_name: str, account_name: str, name: str, parameters: azure.mgmt.media.models._models_py3.PrivateEndpointConnection, **kwargs: Any) -> azure.mgmt.media.models._models_py3.PrivateEndpointConnection

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

name
str
Required
parameters
PrivateEndpointConnection
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

PrivateEndpointConnection, or the result of cls(response)

Return type

Exceptions

delete

Delete a private endpoint connection.

Deletes a private endpoint connection.

async delete(resource_group_name: str, account_name: str, name: str, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

name
str
Required
cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Get private endpoint connection.

Get the details of a private endpoint connection.

async get(resource_group_name: str, account_name: str, name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.PrivateEndpointConnection

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

name
str
Required
cls
callable

A custom type or function that will be passed the direct response

Returns

PrivateEndpointConnection, or the result of cls(response)

Return type

Exceptions

list

List private endpoint connections.

List all private endpoint connections.

async list(resource_group_name: str, account_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.PrivateEndpointConnectionListResult

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

cls
callable

A custom type or function that will be passed the direct response

Returns

PrivateEndpointConnectionListResult, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.media.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\media\\models\\__init__.py'>